libicu48 is not multiarch enabled

Bug #992439 reported by Jan Rathmann
40
This bug affects 8 people
Affects Status Importance Assigned to Milestone
icu (Ubuntu)
Fix Released
Undecided
Unassigned
Precise
Won't Fix
Undecided
Unassigned

Bug Description

Hello,

if I try to install the libicu48:i386 package on my amd64 precise installation, apt wants to remove a huge list of essential core packages, including Unity, Nautilus, LibreOffice, Software-Center, etc. . For the exact list of packages to be removed see the attached output of apt-get.

Kind regards,
Jan

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: libicu48:i386 (not installed)
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
CheckboxSubmission: b37fefbc97df4ba6a5f7edd504648fe4
CheckboxSystem: 4ed15c40009aa6f7770f606350a390a2
Date: Tue May 1 09:44:45 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120421)
SourcePackage: icu
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Jan Rathmann (kaiserclaudius) wrote :
Micah Gersten (micahg)
tags: added: multiarch
summary: - libicu48:i386 wants to remove many core packages
+ libicu48 is not multiarch enabled
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in icu (Ubuntu):
status: New → Confirmed
Revision history for this message
Aleksander Palyan (freeday) wrote :

Guess it was fixed in Quantal Quetzal. Can anybody backport it?

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

libicu is multiarched in quantal and up, but not -dev package.

Changed in icu (Ubuntu):
status: Confirmed → Fix Released
Revision history for this message
arbuntu (arb) wrote :

The original poster reported the problem with "precise" and so did Palyan.
Why would Ledkovs mark it as Fix Released when the fix hasn't been released.
I am also using precise and suffering this pain :-(

Revision history for this message
Nick Guletskii (nickguletskii200) wrote :

Please remove the "Fix Released" status from this bug report. It is NOT fixed in precise.

Revision history for this message
C de-Avillez (hggdh2) wrote :

Targetting to Precise, marking triaged. Buf is fixed Quantal onwards.

Changed in icu (Ubuntu Precise):
status: New → Triaged
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

@arb @nickguletskii200

By default, bug task is tracking the bug status in the latest development release. To open the bugs against stable releases they need to be nominated for that series, like it now has been done for "Precise" series. In the future, please read about bug statuses and what they mean in Ubuntu. https://wiki.ubuntu.com/Bugs/Status and related pages from the Bug Squad.

Revision history for this message
Nick Guletskii (nickguletskii200) wrote :

@xnox

Thank you and sorry for not reading the bug status meanings.

Revision history for this message
Steve Langasek (vorlon) wrote :

The Precise Pangolin has reached end of life, so this bug will not be fixed for that release

Changed in icu (Ubuntu Precise):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers